Package com.zfabrik.components.java.build

## Interface ICompilationContext

-     public interface ICompilationContext

  Context for a specific compilation. Used by invocations of {@link ICompiler#}

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.ClassLoader` | `getClassPath()` | Gets a class loader as class path abstraction for this compilation
    `java.lang.String` | `getComponentName()` | Gets the name of the component to be compiled
    `java.io.File` | `getOutputFolder()` | Gets the folder to put compile results and that may already contain compilation results from other compilers
    `IJavaComponent.Part` | `getPart()` | `IJavaComponent.Part` of the component to compile
    `java.io.File` | `getRuntimeResources()` | Get the runtime resources folder for the Java component currently under construction.
    `java.io.File[]` | `getSourceFolders()` | Gets the folder containing the source files

- - ### Method Detail

    - #### getComponentName

          java.lang.String getComponentName()

      Gets the name of the component to be compiled

    - #### getRuntimeResources

          java.io.File getRuntimeResources()

      Get the runtime resources folder for the Java component currently under construction. This is the place to put any build results and modifications. Do NOT modify the original component resources.

    - #### getSourceFolders

          java.io.File[] getSourceFolders()

      Gets the folder containing the source files

    - #### getOutputFolder

          java.io.File getOutputFolder()

      Gets the folder to put compile results and that may already contain compilation results from other compilers

    - #### getClassPath

          java.lang.ClassLoader getClassPath()

      Gets a class loader as class path abstraction for this compilation

    - #### getPart

          IJavaComponent.Part getPart()

      `IJavaComponent.Part` of the component to compile